hpp-corbaserver: hpp::corbaServer::core_idl::PathVectorServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
hpp::corbaServer::core_idl::PathVectorServant< _Base, _Storage > Class Template Reference

`#include <hpp/corbaserver/core_idl/paths.hh>`

Inheritance diagram for hpp::corbaServer::core_idl::PathVectorServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::corbaServer::core_idl::PathVectorServant< _Base, _Storage >:
[legend]

## Public Types
typedef PathServant< Base, Storage > | Parent
Public Types inherited from hpp::corbaServer::ServantBase< core::Path, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| PathVectorServant (Server *server, const Storage &s)
std::size_t | numberPaths ()
hpp::core_idl::Path_ptr | pathAtRank (std::size_t rank)
void | appendPath (hpp::core_idl::Path_ptr path)
void | concatenate (hpp::core_idl::PathVector_ptr path)
Public Member Functions inherited from hpp::corbaServer::core_idl::PathServant< _Base, _Storage >
| PathServant (Server *server, const Storage &s)
virtual | ~PathServant ()
size_type | outputSize ()
size_type | outputDerivativeSize ()
value_type | length ()
char * | str ()
floatSeq * | value (value_type t, CORBA::Boolean &success)
floatSeq * | derivative (value_type t, CORBA::Short order)
hpp::core_idl::Path_ptr | extract (value_type tmin, value_type tmax)
hpp::core_idl::PathVector_ptr | asVector ()
Public Member Functions inherited from hpp::corbaServer::ServantBase< core::Path, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object.
bool | persistantStorage () const
| See persistantStorage(bool)
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< core::Path, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< core::Path, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ Parent

template<typename _Base , typename _Storage >

typedef PathServant<Base, Storage> hpp::corbaServer::core_idl::PathVectorServant< _Base, _Storage >::Parent

## Constructor & Destructor Documentation

## ◆ PathVectorServant()

template<typename _Base , typename _Storage >

hpp::corbaServer::core_idl::PathVectorServant< _Base, _Storage >::PathVectorServant | ( | Server * | server,
|  | const Storage & | s
| ) |  |
| inline

## Member Function Documentation

## ◆ appendPath()

template<typename _Base , typename _Storage >

void hpp::corbaServer::core_idl::PathVectorServant< _Base, _Storage >::appendPath | ( | hpp::core_idl::Path_ptr | path | ) |
| inline

## ◆ concatenate()

template<typename _Base , typename _Storage >

void hpp::corbaServer::core_idl::PathVectorServant< _Base, _Storage >::concatenate | ( | hpp::core_idl::PathVector_ptr | path | ) |
| inline

## ◆ numberPaths()

template<typename _Base , typename _Storage >

std::size_t hpp::corbaServer::core_idl::PathVectorServant< _Base, _Storage >::numberPaths | ( |  | ) |
| inline

## ◆ pathAtRank()

template<typename _Base , typename _Storage >

hpp::core_idl::Path_ptr hpp::corbaServer::core_idl::PathVectorServant< _Base, _Storage >::pathAtRank | ( | std::size_t | rank | ) |
| inline

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/core_idl/paths.hh